Arch Barra de Refuerzo de Estribo

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Rebar Stirrup and the translation is 21% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Rebar BentShape.svg Bent Shape Rebar Anterior:
Siguiente: Helical Rebar Arch Rebar Helical.svg Arrow-right.svg

Arch Rebar Stirrup.svg {{{Name/es}}}

Ubicación en el Menú
Arch → Rebar tools
Entornos de trabajo
Arch, BIM
Atajo de teclado por defecto
None
Introducido en versión
0.17
Ver también
Helical Rebar, Rebar


Descripción

La herramienta Arch Rebar Stirrup.png Stirrup Rebar permite al usuario crear una barra de refuerzo de estribo en el elemento estructural.

This command is part of the Reinforcement Addon, that you can install with the Addon Manager, via the menu Tools → Addon manager → Reinforcement.

Arch Rebar Stirrup example.png

Stirrup.png

Como utilizar

  1. Crear un elemento structure
  2. Seleccione cualquier cara de la estructura
  3. A continuación, seleccione Arch Rebar Stirrup.png Stirrup Rebar desde las herramientas de la barra de refuerzo
  4. Aparecerá un panel de tareas en el lado izquierdo de la pantalla, como se muestra a continuación StirrupDialog.png
  5. Seleccione la orientación deseada
  6. Proporcione las entradas como cubierta izquierda, cubierta derecha, cubierta superior, parte inferior, cubierta frontal, ángulo doblado, factor doblado, redondeo y diámetro de la barra de refuerzo
  7. Seleccione el modo de distribución, ya sea cantidad o espaciado
  8. Si se selecciona el espaciado, un usuario también puede optar por espaciado personalizado
  9. La selección de la cara seleccionada se usa para verificar o cambiar la cara de la distribución de barras de refuerzo
  10. Haga clic en OK o Apply para generar las barras de refuerzo
  11. Haga clic en Cancel para salir del panel de tareas

StirrupDialog.png

Taskview panel for the Arch Rebar Stirrup tool


Propiedades

  • DATOSFront Cover: la distancia entre la barra de refuerzo y la cara seleccionada.
  • DATOSRight Cover: la distancia entre el extremo derecho de la barra de refuerzo a la derecha de la estructura.
  • DATOSLeft Cover: la distancia entre el extremo izquierdo de la barra de refuerzo a la cara izquierda de la estructura.
  • DATOSBottom Cover: la distancia entre las barras de refuerzo desde la cara inferior de la estructura.
  • DATOSTop Cover: la distancia entre barras de refuerzo desde la cara superior de la estructura.
  • DATOSBent Angle: ángulo doblado define el ángulo en los extremos de un estribo.
  • DATOSBent Factor: Bent Factor define la longitud del extremo del estribo.
  • DATOSAmount: la cantidad de barras de refuerzo.
  • DATOSSpacing: la distancia entre los ejes de cada barra.

Programación

La herramienta Arch Rebar Stirrup.png Stirrup Rebar puede utilizarse en macros y desde la consola de python utilizando la siguiente función:

Rebar = makeStirrup(l_cover, r_cover, t_cover, b_cover, f_cover,
                    bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
                    structure=None, facename=None)
  • Agrega un objeto de barra de refuerzo Estribo al objeto estructural dado.
  • Si no se proporciona Estructura y nombre de cara, tomará la cara seleccionada por el usuario como entrada.
  • Aquí el argumento de CoverAlong es tener tipo tupla.
  • Devuelve el nuevo objeto de refuerzo.

Ejemplo: Creando la barra de refuerzo de estribo.

import Draft, Arch, Stirrup

# It doesn't work if the structure is not based on a face
# Structure = Arch.makeStructure(length=1000, width=400, height=400)

Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20,
                            115, 4, 8, 2, True, 10, Structure, "Face6")

Cambiando las propiedades de la barra de refuerzo de estribo.

editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
            bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
            structure=None, facename=None)
  • Rebar is a previously created StirrupRebar object.
  • The other parameters are the same as required by the makeStirrup() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import Stirrup

Stirrup.editStirrup(Rebar, 20, 20, 20, 20, 50,
                    100, 4, 14, 8, True, 8)
Arrow-left.svg Arch Rebar BentShape.svg Bent Shape Rebar Anterior:
Siguiente: Helical Rebar Arch Rebar Helical.svg Arrow-right.svg